#! /usr/bin/env python
#
#    gtk_.button_.py - Base class for gtk Buttons
#    Copyright (C) 2004  Michael Urman
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

from gen import *
from widget_ import Widget

class Button(Widget, GenClass):

    """Gtk.Button"""

    def _init_(self, label=''):
        """Create a new button with provided optional label."""

        label = ['s', 'char *']
        code = '''
        if (label)
        {
            self->widget = gtk_button_new_with_label(label);
        }
        else
        {
            self->widget = gtk_button_new();
        }
        printf("Button = %p\\n", self->widget);
        '''

        return locals()

