#! /usr/bin/env python
#
#    Generate pure C code based on definition files
#    Copyright (C) 2004  Michael Urman
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of version 2 of the GNU General Public License as
#    published by the Free Software Foundation.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

from gen import File, Module


def generate(modules):
    for name, module in modules:
        mod = Module(name, module)
        source = File(name+'.c', 'w')
        mod.write(source)
        source.close()

if __name__ == '__main__':
    import gtk_
    generate([['gtk', gtk_]])
